Bug 812099 - Review Request: mysql-utilities - MySQL Utilities
Review Request: mysql-utilities - MySQL Utilities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 811523
  Show dependency treegraph
 
Reported: 2012-04-12 14:19 EDT by Remi Collet
Modified: 2012-06-14 22:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 22:31:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-04-12 14:19:05 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/master/mysql-utilities/mysql-utilities.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/mysql-utilities-1.0.5-1.remi.src.rpm
Description: 
The MySQL Utilities is a set of easy-to-use scripts intended to make working
with servers easier. It is part of the MySQL Workbench.

--
About the rpmlint output
incorrect-fsf-address: Reported to upstream (direct email to the maintainer)
non-executable-script: this are not script (but libraries), so the shebang is simply unused. Reported to upstream.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3986032

The mysql-utilities is already in the repository, but as a sub-package of mysql-workbench.
When approved, I will remove this sub-package.
Comment 1 Remi Collet 2012-04-13 01:02:13 EDT
> Reported to upstream.

Upstream answer (Chuck Bell):
   I've created BUG#13956819 for these issues. 
   I will prepare a patch and get it approved in the next couple of days.
Comment 2 Michael Scherer 2012-04-15 05:04:37 EDT
So as discussed on irc :
- you need to use python2-devel for python2 buildRequires

- the patch need a link to upstream bug tracker ( that is not public, thanks Oracle ), or a comment about it 

- license.txt do not contain the license. I guess you need to report this to Oracle ( but not blocking )

- the -n ~mysql is weird, but as you tested, that's working fine with a user mysql on the system. 
 
- for stuff reported upstream, I assume that they didn't gave any reference ? ( cause even if we cannot access to the bug tracker, it can still be useful for tracking )

- there is a man page for a non existant script, mut ( mysql testing ). Shouldn't it be removed ?
Comment 3 Remi Collet 2012-04-15 05:34:42 EDT
https://github.com/remicollet/remirepo/commit/efee044eff25869e4be4312e2376b7cb32925221

> you need to use python2-devel for python2 buildRequires
Fixed

> license.txt do not contain the license
Reported upstream

> there is a man page for a non existant script, mut 
Removed and reported upstream

You are in CC of the mail sent to upstream (and, I hope ,will be in the response)

New SRPM:
http://rpms.famillecollet.com/SRPMS/mysql-utilities-1.0.5-2.remi.src.rpm
Comment 4 Michael Scherer 2012-05-25 17:11:43 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GENERATED FILE", "*No copyright* UNKNOWN", "GPL (v2) (with incorrect FSF
     address)", "UNKNOWN", "GPL (v2)", "*No copyright* GENERATED FILE" For
     detailed output of licensecheck see file:
     /home/misc/checkout/git/FedoraReview/src/812099/licensecheck.txt
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[-]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Python ====
[x]: MUST Module list python2-devel or python3-devel as BuildRequires
[x]: MUST Python egg is built from source
[x]: MUST Python egg do not download anything during build

Rpmlint
-------
Checking: mysql-utilities-1.0.5-2.fc18.src.rpm
          mysql-utilities-1.0.5-2.fc18.noarch.rpm
mysql-utilities.src: W: invalid-url Source0: mysql-utilities-1.0.5.tgz
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/dbcopy.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/serverinfo.py 0644L /usr/bin/env
mysql-utilities.noarch: E: incorrect-fsf-address /usr/bin/mysqldbcompare
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/check_rpl.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/setup_rpl.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/common/sql_transform.py 0644L /usr/bin/env
mysql-utilities.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/mysql/utilities/common/sql_transform.py
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/indexcheck.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/common/lock.py 0644L /usr/bin/env
mysql-utilities.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/mysql/utilities/common/lock.py
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/userclone.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/dbexport.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/diff.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/common/dbcompare.py 0644L /usr/bin/env
mysql-utilities.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/mysql/utilities/common/dbcompare.py
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/show_rpl.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/failover_console.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/dbimport.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/rpl_admin.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/proc.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/diskusage.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/serverclone.py 0644L /usr/bin/env
mysql-utilities.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mysql/utilities/command/dbcompare.py 0644L /usr/bin/env
mysql-utilities.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/mysql/utilities/command/dbcompare.py
mysql-utilities.noarch: W: no-manual-page-for-binary mysqlrpladmin
mysql-utilities.noarch: W: no-manual-page-for-binary mysqlfailover
2 packages and 0 specfiles checked; 24 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
/var/lib/mock/fedora-rawhide-i386/result/mysql-utilities-1.0.5-2.fc18.noarch.rpm:
    /usr/bin/python  
    mysql-connector-python  
    python(abi) = 2.7
    
Provides
--------
/var/lib/mock/fedora-rawhide-i386/result/mysql-utilities-1.0.5-2.fc18.noarch.rpm:
    mysql-utilities = 1.0.5-2.fc18
    


Generated by fedora-review 0.2.0git
External plugins:


So there is lots of rpmlint warning, but that's not important one.
Comment 5 Michael Scherer 2012-05-25 17:12:20 EDT
So the package is ok to be included.
Comment 6 Remi Collet 2012-05-26 02:45:24 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: mysql-utilities
Short Description: MySQL Utilities
Owners: remi
Branches: f16 f17 el6
InitialCC:
Comment 7 Kevin Fenzi 2012-05-26 21:47:21 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-05-27 02:17:01 EDT
mysql-utilities-1.0.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mysql-utilities-1.0.5-3.el6
Comment 9 Fedora Update System 2012-05-27 04:04:52 EDT
mysql-workbench-5.2.40-1.fc17,mysql-utilities-1.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mysql-workbench-5.2.40-1.fc17,mysql-utilities-1.0.5-2.fc17
Comment 10 Fedora Update System 2012-05-27 04:32:36 EDT
mysql-workbench-5.2.40-1.fc16,mysql-utilities-1.0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mysql-workbench-5.2.40-1.fc16,mysql-utilities-1.0.5-2.fc16
Comment 11 Fedora Update System 2012-05-27 15:43:25 EDT
mysql-utilities-1.0.5-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2012-06-06 22:31:45 EDT
mysql-workbench-5.2.40-1.fc16, mysql-utilities-1.0.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-06-06 22:39:22 EDT
mysql-workbench-5.2.40-1.fc17, mysql-utilities-1.0.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-06-14 22:16:01 EDT
mysql-utilities-1.0.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.